import request from '@/utils/request'

// 查询文件上传列表
export function listCsFile(query) {
  return request({
    url: '/cs/csFile/list',
    method: 'get',
    params: query
  })
}

// 查询文件上传详细
export function getCsFile(fileId) {
  return request({
    url: '/cs/csFile/' + fileId,
    method: 'get'
  })
}

// 新增文件上传
export function addCsFile(data) {
  return request({
    url: '/cs/csFile',
    method: 'post',
    data: data
  })
}

// 修改文件上传
export function updateCsFile(data) {
  return request({
    url: '/cs/csFile',
    method: 'put',
    data: data
  })
}

// 删除文件上传
export function delCsFile(fileId) {
  return request({
    url: '/cs/csFile/' + fileId,
    method: 'delete'
  })
}
